<?xml version="1.0"?>
<project
        xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
        xmlns="http://maven.apache.org/POM/4.0.0"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <modelVersion>4.0.0</modelVersion>
    <dependencies>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.5.8</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>
    <parent>
        <groupId>net.northking.cctp</groupId>
        <artifactId>cctp-test-element-library</artifactId>
        <version>1.0.0-RELEASE</version>
    </parent>

    <artifactId>cctp-test-element-collections</artifactId>
    <name>cctp-test-element-collections</name>
    <packaging>jar</packaging>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>3.0.1</version>
                <configuration>
                    <charset>UTF-8</charset>
                    <encoding>UTF-8</encoding>
                    <docencoding>UTF-8</docencoding>
                </configuration>
                <executions>
                    <execution>
                        <id>xml-doclet</id>
<!--                        <phase>none</phase>-->
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>javadoc</goal>
                        </goals>
                        <configuration>
                            <doclet>com.github.markusbernhardt.xmldoclet.XmlDoclet</doclet>
                            <additionalOptions>
                                <additionalOption>
                                    -d ${project.build.directory}/classes
                                </additionalOption>
                                <additionalOption>
                                    -filename net/northking/cctp/element/collections/CollectionsLibrary.javadoc
                                </additionalOption>
                            </additionalOptions>
                            <useStandardDocletOptions>false</useStandardDocletOptions>
                            <javadocExecutable>${java.home}/../bin</javadocExecutable>
                            <sourceFileIncludes>
                                <sourceFileInclude>net/northking/cctp/element/collections/keywords/*.java</sourceFileInclude>
                                <sourceFileInclude>net/northking/cctp/element/collections/CollectionsLibrary.java</sourceFileInclude>
                            </sourceFileIncludes>
                            <docletArtifact>
                                <groupId>com.github.markusbernhardt</groupId>
                                <artifactId>xml-doclet</artifactId>
                                <version>${xml.doclet.version}</version>
                            </docletArtifact>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

</project>